package asm.accessors;

import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.minecraft.network.packet.s2c.play.ExplosionS2CPacket;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Mutable;
import org.spongepowered.asm.mixin.gen.Accessor;

@Environment(EnvType.CLIENT)
@Mixin({ExplosionS2CPacket.class})
public interface IExplosionS2CPacket {
   @Mutable
   @Accessor("playerVelocityX")
   void setVelocityX(float f);

   @Mutable
   @Accessor("playerVelocityY")
   void setVelocityY(float f);

   @Mutable
   @Accessor("playerVelocityZ")
   void setVelocityZ(float f);

   @Accessor("playerVelocityX")
   float getX();

   @Accessor("playerVelocityY")
   float getY();

   @Accessor("playerVelocityZ")
   float getZ();
}
